
<section class="about-section text-center" id="about" style = "background: linear-gradient(to bottom, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0.7) 75%, #000000 100%), url('../assets/img/findRecipeBackground.jpg'); padding-bottom: 40px;">
  <div class="container">

    <!-- FORMA ZA PRONALAZENJE RECEPATA -->

    <div id="findRecipeContainer" class = "bg-beige">
       <h1>&bull; Pronađite recept &bull;</h1>
       <div class="underline">
       </div>
       <div class="icon_wrapper">
         <img src = "assets/img/recipe.png" style = "width: 10%; height: auto;">
       </div>
       <form [formGroup]="checkoutForm" (ngSubmit)="submitForm(checkoutForm.value)" id="contact_form" style="padding-bottom: 0px; margin-bottom: 0px;">
         <div style = "overflow: hidden;">
          <!-- LEVI DEO FORME -->
             <div style = "float: left; width: 315px;">
               <label type = "text" for="recipeDifficulty" style = "width: 100%; text-align: left; font-size: x-small; margin-bottom: 0px; padding-bottom: 0px; margin-top: 0px; padding-top: 0px;">Unesite minimalnu i maksimalnu težinu pripreme recepta:</label>
               <div class="recipeDifficulty" style="margin-top: 0px; padding-top: 0px; margin-bottom: 0px; padding-bottom: 0px;">
                 <input type="text" placeholder="10" name="recipeDifficulty" id="recipeDifficulty" formControlName="maxDifficulty" style="font-size: x-small">
               </div>
               <div class="recipeDifficulty rdMin" style="margin-top: 0px; padding-top: 0px; margin-bottom: 0px; padding-bottom: 0px;">
                 <input type="text" placeholder="1" name="recipeDifficulty" id="recipeDifficulty" style="font-size: x-small" formControlName="minDifficulty">
               </div>

               <label type = "text" for="recipeDifficulty" style = "width: 100%; text-align: left; font-size: x-small;margin-bottom: 0px; padding-bottom: 0px; margin-top: 0px; padding-top: 0px;">Unesite minimalno i maksimalno vreme pripreme recepta:</label>
               <div class="recipeDifficulty" style="margin-top: 0px; padding-top: 0px; margin-bottom: 0px; padding-bottom: 0px;">
                 <input type="text" placeholder="180 minuta" name="recipeDifficulty" id="recipeDifficulty" style="font-size: x-small;" formControlName="maxPreptime">
               </div>
               <div class="recipeDifficulty rdMin" style="margin-top: 0px; padding-top: 0px; margin-bottom: 0px; padding-bottom: 0px;">
                 <input type="text" placeholder="5 minuta" name="recipeDifficulty" id="recipeDifficulty" style="font-size: x-small;" formControlName="minPreptime">
               </div>

               <label type = "text" for="recipeDifficulty" style = "width: 100%; text-align: left; font-size: x-small; margin-bottom: 0px; padding-bottom: 0px; margin-top: 0px; padding-top: 0px;">Unesite minimalnu ocenu recepta:</label>
               <div class="recipeDifficulty rdMin" style="margin-top: 0px; padding-top: 0px; margin-bottom: 0px; padding-bottom: 0px;">
                 <input type="text" placeholder="1-5" name="recipeDifficulty" id="recipeDifficulty" style="font-size: x-small;" formControlName="score">
               </div>

               <!-- Kategorije -->
               <label type = "text" for="recipeDifficulty" style = "width: 100%; text-align: left; font-size: x-small; margin-bottom: 0px; padding-bottom: 0px; margin-top: 0px; padding-top: 0px;">Izaberite kategoriju:</label>
               <div class="row">
                 <div class="col">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="roundedOne" value="vegeterijanski" style = "left: 32px;font-size: x-small;" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="roundedOne" style="font-size: x-small">Vegeterijanski</label>
                 </div>
                 <div class="col" style="float: left;">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="inlineCheckbox2" value="veganski" style = "left: 30px;font-size: x-small;" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="inlineCheckbox2" style="margin-left: 17px; font-size: x-small;">Veganski</label>
                 </div>
               </div>
               <div class="row">
                 <div class="col" style="float: left;">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="inlineCheckbox3" value="posno" style = "left: 32px; font-size: x-small;" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="inlineCheckbox3" style="font-size: x-small;">Posno</label>
                 </div>
                 <div class="col" style="float: left;">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="inlineCheckbox4" value="zdravo" style = "left: 30px; font-size: x-small;" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="inlineCheckbox4" style="margin-left: 17px; font-size: x-small;">Zdravo</label>
                 </div>
               </div>
               <div class="row">
                 <div class="col" style="float: left;">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="inlineCheckbox5" value="meso" style = "left: 32px; font-size: x-small;" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="inlineCheckbox5" style="font-size: x-small;">Meso</label>
                 </div>
                 <div class="col" style="float: left;">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="inlineCheckbox6" value="salata" style = "left: 30px; font-size: x-small;" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="inlineCheckbox6" style="margin-left: 17px; font-size: x-small;">Salata</label>
                 </div>
               </div>
               <div class="row">
                 <div class="col" style="float: left;">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="inlineCheckbox7" value="riba" style = "left: 32px;" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="inlineCheckbox7" style="font-size: x-small;">Riba</label>
                 </div>
                 <div class="col" style="float: left;">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="inlineCheckbox8" value="morski plodovi" style = "left: 30px; font-size: x-small" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="inlineCheckbox8" style="margin-left: 17px; font-size: x-small;">Morski plodovi</label>
                 </div>
               </div>
               <div class="row">
                 <div class="col" style="float: left;">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="inlineCheckbox9" value="predjelo" style = "left: 32px; font-size: x-small;" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="inlineCheckbox9" style="font-size: x-small;">Predjelo</label>
                 </div>
                 <div class="col" style="float: left;">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="inlineCheckbox10" value="pasta" style = "left: 30px;font-size: x-small;" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="inlineCheckbox10" style="margin-left: 17px;font-size: x-small;">Pasta</label>
                 </div>
               </div>
               <div class="row" style = "margin-bottom: 30px;">
                 <div class="col" style="float: left;">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="inlineCheckbox11" value="supa" style = "left: 32px;font-size: x-small;" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="inlineCheckbox11" style="font-size: x-small;">Supa/Čorba</label>
                 </div>
                 <div class="col" style="float: left;">
                   <input class="form-check-input categoryCheckBox" type="checkbox" id="inlineCheckbox12" value="torta" style = "left: 30px;font-size: x-small" (change)="onCheckboxChange($event)">
                   <label class="form-check-label categoryCheck" for="inlineCheckbox12" style="margin-left: 17px;font-size: x-small;">Torta/Kolač</label>
                 </div>
               </div>

             </div>
             <!-- DESNI DEO FORME -->
             <div style = "float: right; width: 315px;">

               
              <div formArrayName="ingredients" class="enterIngredient" *ngFor="let ingrs of checkoutForm.controls.ingredients?.value; let i = index; trackBy:customTrackBy">
                <input type="text" placeholder="Unesite sastojak" name="enterIngredient" id="enterIngredient" required [formControlName]="i">
              </div>
               <!-- Dugme DODAJ SASTOJAK  -->
               <!-- <div style = "overflow: hidden;"> -->
                   <div class="submit" style = "width: 100%; margin-bottom: 30px;">
                    <input (click)="addIngredient()" value=" Dodaj sastojak" id="form_button_ingredients" style = "width: 150px; height: 50px; font-size: small; "/>
                   </div>

                  
             <!--  </div> -->

             </div>
        </div>

        <!-- DUGMICI IZBRISI SVE I PRONADJI RECEPT -->

         <div class="container recipeDetails" style = "margin-top: 60px; margin-bottom: 60px;">
            <div class="row">
              <div class="col-sm my-auto">
                 <div class="submit">
                   <input type="reset" value="Izbriši sve" id="form_button_ingredients" style = "width: 200px; height: 60px; font-size: small; "/>
                 </div>
             </div>
             <div class="col-sm my-auto">
               <div class="submit">
                 <input type="submit" value="Pronađi recepte" id="form_button_ingredients" style = "width: 200px; height: 60px; font-size: small;"/>
               </div>
             </div>
           </div>
         </div>

         <app-recipeview *ngFor="let recipe of recipes;" style="margin-bottom: 0px; padding-bottom: 0px;" [recipeId]="recipe._id" [userId]="recipe.userId">
          </app-recipeview>
       </form><!-- // End form -->
       
     </div> <!-- // End #container -->

  </div>
</section>

